Subject: [TR] Future Triumph

From: Bob <[email-masked]> pFHeNYEQAeYnnvj7tnwd4/w6vK10as6J5G9qGih6XXRTTMpg7TW+0cldHiInqfQ+VnJAdQ8D9GGBXkc/zzkKXy24z1tZ+Ssc3Ns=
Date: Sun, 23 Jul 2023 06:47:45 -0400

I sent this to Dave but meant to send it to the list. So here it is. My 
take.

The main problem I have is low range and they don't work in the very 
cold like we get up here in NY from mid December through early March. I 
already store my Triumphs in the winter, I would have no garage space 
for an EV. Maybe when they get a 500 mile/tank range like my wife's 
Camry and a 10 minute refill/charge then maybe and yes, they would have 
to operate the same in the winter and that includes heat/defrost.

As far as a 21st century Triumph? I have zero interest. I am quite happy 
with my 20th century versions.

Bob

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive